<template>

</template>

<script>
export default {
    mounted() {
        if (this.token)
            localStorage.setItem('member_token', this.token);
        // if (this.miniopenid)
        //     localStorage.setItem('miniopenid', this.miniopenid);
        if (this.target)
            location.replace(`#/${this.target}`);
        else
            location.replace('#/');
    },
    data() {
        return {
            token: decodeURIComponent(this.$route.query.token || ''),
            // miniopenid: decodeURIComponent(this.$route.query.miniopenid || ''),
            target: decodeURIComponent(this.$route.query.target || ''),
        }
    },
    methods: {

    }
}
</script>